Subject: Re: Last Call: <draft-ietf-speechsc-mrcpv2-27.txt> (Media Resource Control Protocol Version 2 (MRCPv2)) to Proposed Standard

From: Dan Burnett <[email-masked]>
Date: Thu, 17 Nov 2011 03:59:44 -0500

Along the lines of an RFC Editor note, there are a few changes that would need to be applied to draft-ietf-speechsc-mrcpv2-27.txt before publication as a Draft Standard, assuming this draft is not superceded by another revision.

-- Dan Burnett (acting editor)

***************************************

1) In the preparation of draft-ietf-speechsc-mrcpv2-27.txt, I forgot to remove some old ABNF from the body of the document.  The following ABNF is to be removed from section 6.2.15, "Set-Cookie":

set-cookie      =       "Set-Cookie:" cookies CRLF
cookies         =       cookie *("," *LWS cookie)
cookie          =       attribute "=" value *(";" cookie-av)
cookie-av       =       "Comment" "=" value
                /       "Domain" "=" value
                /       "Max-Age" "=" value
                /       "Path" "=" value
                /       "Secure"
                /       "Version" "=" 1*19DIGIT
                /       "Age" "=" delta-seconds

2) It has been pointed out that there is no need for the entire ABNF of Set-Cookie to be copied from RFC 6265.  Thus, the following changes are recommended:

a) In section 6.2.15, "Set-Cookie",

OLD
set-cookie        = "Set-Cookie:" SP set-cookie-string
set-cookie-string = cookie-pair *( ";" SP cookie-av )
cookie-pair       = cookie-name "=" cookie-value
cookie-name       = token
cookie-value      = *cookie-octet / ( DQUOTE *cookie-octet DQUOTE )
cookie-octet      = %x21 / %x23-2B / %x2D-3A / %x3C-5B / %x5D-7E
token             = <token, defined in [RFC2616], Section 2.2>

cookie-av         = expires-av / max-age-av / domain-av /
                     path-av / secure-av / httponly-av /
                     extension-av / age-av
expires-av        = "Expires=" sane-cookie-date
sane-cookie-date  = <rfc1123-date, defined in [RFC2616], Section 3.3.1>
max-age-av        = "Max-Age=" non-zero-digit *DIGIT
non-zero-digit    = %x31-39
domain-av         = "Domain=" domain-value
domain-value      = <subdomain>
path-av           = "Path=" path-value
path-value        = <any CHAR except CTLs or ";">
secure-av         = "Secure"
httponly-av       = "HttpOnly"
extension-av      = <any CHAR except CTLs or ";">

NEW

cookie-av         =/ age-av

b) In section 6.2.15, "Set-Cookie":

OLD
   The Set-Cookie header field is specified in RFC 6265 [RFC6265].  The
   "Age" attribute is introduced in this specification to indicate the
   age of the cookie and is OPTIONAL.  An MRCPv2 client or server MUST
   calculate the age of the cookie according to the age calculation
   rules in the HTTP/1.1 specification [RFC2616] and append the "Age"
   attribute accordingly.

NEW
   The Set-Cookie header field, including ABNF, is specified in RFC 6265
   [RFC6265].  The "Age" attribute is introduced in this specification
   to indicate the age of the cookie and is OPTIONAL.  An MRCPv2 client
   or server MUST calculate the age of the cookie according to the age
   calculation rules in the HTTP/1.1 specification [RFC2616] and append
   the "Age" attribute accordingly.

c) In section 15, "ABNF Normative Definition":

OLD
set-cookie        = "Set-Cookie:" SP set-cookie-string
set-cookie-string = cookie-pair *( ";" SP cookie-av )
cookie-pair       = cookie-name "=" cookie-value
cookie-name       = token
cookie-value      = *cookie-octet / ( DQUOTE *cookie-octet DQUOTE )
cookie-octet      = %x21 / %x23-2B / %x2D-3A / %x3C-5B / %x5D-7E
token             = <token, defined in [RFC2616], Section 2.2>

cookie-av         = expires-av / max-age-av / domain-av /
                     path-av / secure-av / httponly-av /
                     extension-av / age-av
expires-av        = "Expires=" sane-cookie-date
sane-cookie-date  = <rfc1123-date, defined in [RFC2616], Section 3.3.1>
max-age-av        = "Max-Age=" non-zero-digit *DIGIT
non-zero-digit    = %x31-39
domain-av         = "Domain=" domain-value
domain-value      = <subdomain>
path-av           = "Path=" path-value
path-value        = <any CHAR except CTLs or ";">
secure-av         = "Secure"
httponly-av       = "HttpOnly"
extension-av      = <any CHAR except CTLs or ";">

NEW
; Set-Cookie is defined in RFC 6265 and extended here
 
cookie-av         =/ age-av

On Nov 16, 2011, at 1:32 AM, The IESG wrote:

> 
> The IESG has received a request from the Speech Services Control WG
> (speechsc) to consider the following document:
> - 'Media Resource Control Protocol Version 2 (MRCPv2)'
>  <draft-ietf-speechsc-mrcpv2-27.txt> as a Proposed Standard
> 
> This is a second IETF LC to verify the changes to the policy used
> for the vendor-specific parameters IANA registry, and the use of the
> set-cookie headers made in response to earlier last call comments
> and external review, and to verify the current normative
> reference (downref) to RFC 2483, an Experimental RFC.
> 
>> From the shepherd report:
> All normative references are standards track RFCs except for nominal 
> DOWNREF is to RFC 2483; that reference is to the text/uri-list definition. 
> MRCPv2 uses the same definition of text/uri-list as found in the IANA 
> media types registry. We could make this reference Informative or be 
> silent on the reference, as the MRCPv2 reference is to the IANA registry. 
> However, the work group believes it to be useful to have a pointer to the 
> definition of text/uri-list for implementers to follow.
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2011-11-30. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>   The MRCPv2 protocol allows client hosts to control media service
>   resources such as speech synthesizers, recognizers, verifiers and
>   identifiers residing in servers on the network.  MRCPv2 is not a
>   "stand-alone" protocol - it relies on other protocols, such as
>   Session Initiation Protocol (SIP) to rendezvous MRCPv2 clients and
>   servers and manage sessions between them, and the Session Description
>   Protocol (SDP) to describe, discover and exchange capabilities.  It
>   also depends on SIP and SDP to establish the media sessions and
>   associated parameters between the media source or sink and the media
>   server.  Once this is done, the MRCPv2 protocol exchange operates
>   over the control session established above, allowing the client to
>   control the media processing resources on the speech resource server.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-speechsc-mrcpv2/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-speechsc-mrcpv2/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce